Plank.ApplicationDockItem – plank Reference Manual

# ApplicationDockItem

## Object Hierarchy:

## Description:

public class ApplicationDockItem : DockItem

A dock item for applications (with .desktop launchers).

All known sub-classes:

- TransientDockItem

Namespace: Plank
Package: plank

## Content:

### Properties:

- public Application? App { }

### Static methods:

- public static void parse_launcher (string launcher, out string icon, out string text, ArrayList<string>? actions = null, Map<string,string>? actions_map = null, ArrayList<string>? mimes = null)
  Parses a launcher to get the text, icon and actions.

### Creation methods:

- public ApplicationDockItem ()
- public ApplicationDockItem.with_dockitem_file (File file)
- public ApplicationDockItem.with_dockitem_filename (string filename)

### Methods:

- public override bool accept_drop (ArrayList<string> uris)
  Accepts a drop of the given URIs.
- public override bool can_accept_drop (ArrayList<string> uris)
  Returns if the item accepts a drop of the given URIs.
- public override string get_drop_text ()
  The item's text for drop actions.
- public override ArrayList<MenuItem> get_menu_items ()
  Returns a list of the item's menu items.
- public unowned string? get_unity_application_uri ()
  Get libunity application URI
- public unowned string? get_unity_dbusname ()
  Get current libunity dbusname
- public bool has_unity_info ()
  Whether this item provides information worth showing
- public bool is_running ()
- public bool is_window ()
- protected override void load_from_launcher ()
  Parses the associated launcher and e.g. sets the icon and text from it.
- protected override AnimationType on_clicked (PopupButton button, ModifierType mod, uint32 event_time)
  Called when an item is clicked on.
- protected override AnimationType on_scrolled (ScrollDirection direction, ModifierType mod, uint32 event_time)
  Called when an item is scrolled over.
- public void set_urgent (bool is_urgent)
- public void unity_reset ()
  Reset this item's remote libunity values
- public void unity_update (string sender_name, VariantIter prop_iter)
  Update this item's remote libunity value based on the given data

### Signals:

- public signal void app_closed ()
  Signal fired when the application associated with this item closes.
- public signal void app_window_added ()
  Signal fired when the application associated with this item opened a new window.
- public signal void app_window_removed ()
  Signal fired when the application associated with this item closed a window.
- public signal void pin_launcher ()
  Signal fired when the item's 'keep in dock' menu item is pressed.

### Inherited Members:

All known members inherited from class Plank.DockItem

- @delete
- AverageIconColor
- Count
- CountVisible
- DockItemFilename
- ForcePixbuf
- Icon
- Indicator
- LastPosition
- Launcher

- Position
- Prefs
- Progress
- ProgressVisible
- State
- copy_values_to
- deleted
- draw_icon
- draw_icon_fast

- get_background_surface
- get_foreground_surface
- get_surface
- get_surface_copy
- is_valid
- load_from_launcher
- reset_buffers
- reset_icon_buffer
- unset_move_state

All known members inherited from class Plank.DockElement

- AddTime
- Button
- ClickedAnimation
- Container
- HoveredAnimation
- IsAttached
- IsVisible
- LastActive
- LastClicked
- LastHovered
- LastMove
- LastScrolled
- LastUrgent

- LastValid
- RemoveTime
- ScrolledAnimation
- Text
- accept_drop
- as_uri
- can_accept_drop
- can_be_removed
- clicked
- create_literal_menu_item
- create_literal_menu_item_with_pixbuf
- create_menu_item

- create_menu_item_with_pixbuf
- get_dock
- get_drop_text
- get_menu_items
- hovered
- needs_redraw
- on_clicked
- on_hovered
- on_scrolled
- reset_buffers
- scrolled
- unique_id

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref